CKEditor4.16.2 发布,修复浏览器兼容性问题

CKEditor 4.16.2 维护版本已发布。此版本是一个维护版本,更新内容包括修复安全问题、修复浏览器兼容性问题、升级与 React 的集成,以及修复其他重要问题。

CKEditor 4.16.2 发布,修复浏览器兼容性问题

修复安全问题

修复了剪贴板插件中的安全漏洞 (CVE-2021-32809),该漏洞会引起出现滥用粘贴功能(使用格式错误的 HTML )的情况,进而导致将任意的 HTML 注入编辑器。

此外,在 Widget 插件中发现的另一个漏洞 (CVE-2021-32808) 容易导致出现执行 JavaScript 代码的情况,以及 Fake Objects 插件由于容易注入格式错误的 Fake Objects HTML (CVE-2021-37695),这也可能会导致执行 JavaScript 代码。

修复浏览器兼容性问题

此版本针对多款浏览器引入了多项错误修正和增强功能,确保跨平台兼容性,以提供最便捷的使用体验。

  • 修复在 Chrome 中显示空格键无效的问题。在删除两个连续空格的其中一个后,剩下的一个会直接以字符的形式 ( ) 显示,而非一个空格。最新的版本修复了这个问题,现在可以按预期运行。
  • 为所有支持的 Internet Explorer 版本引入了 CSS 选择器转义机制 (CSS.escape() polyfill)。此功能解决了表格元素(如 td、tr 或 th)的 id 以点开头会导致编辑器中出现 javascript 运行时错误的问题。另一个已解决的问题是,在 id 包含逗号的编辑器中无法拖放图像。新引入的机制完全符合最近的官方 HTML 规范。
  • 针对 Firefox 的错误修复。

升级与 React 的集成

与 React 的集成升级到了 2.0.0 版本,增加了对 React v17.x 的支持、对 React hooks 的支持,以及对 TypeScript 和类型的支持。详情点此查看。

CKEditor 4.16.2 发布,修复浏览器兼容性问题

内容出处:,

声明:本网站所收集的部分公开资料来源于互联网,转载的目的在于传递更多信息及用于网络分享,并不代表本站赞同其观点和对其真实性负责,也不构成任何其他建议。如果您发现网站上有侵犯您的知识产权的作品,请与我们取得联系,我们会及时修改或删除。文章链接:http://www.yixao.net/soft/27719.html

发表评论

登录后才能评论